.hotTag-cloud-card {
  background: url(/assets/images/cards/bg-card-4.png) no-repeat center top;
  background-size: 100%;
}
.hotTag-cloud-card .title-name {
  display: flex;
  align-items: center;
}
.hotTag-cloud-card .title-name span {
  background: linear-gradient(90deg, #1E43FF 0%, #A149FF 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.hotTag-cloud-card .tags-content {
  width: 100%;
  padding: 24px 0;
}
.hotTag-cloud-card .tags-content .content-tr {
  width: 100%;
  display: flex;
  overflow-x: hidden;
  margin-bottom: 12px;
}
.hotTag-cloud-card .tags-content .content-tr:last-child {
  margin-bottom: 0;
}
.hotTag-cloud-card .tags-content .content-tr.right .content-box {
  animation: moveAnimate3 var(--t) linear infinite;
  animation-delay: calc(var(--t) * -1);
}
.hotTag-cloud-card .tags-content .content-tr.right .content-box:nth-child(2) {
  animation: moveAnimate4 var(--t) linear infinite;
  animation-delay: calc(var(--t) / -2);
}
.hotTag-cloud-card .tags-content .content-tr:hover .content-box {
  animation-play-state: paused !important;
}
.hotTag-cloud-card .tags-content .content-tr .content-box {
  display: block;
  font-size: 0;
  white-space: nowrap;
  animation: moveAnimate1 var(--t) linear infinite;
  animation-delay: calc(var(--t) * -1);
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item {
  display: inline-block;
  width: fit-content;
  background: rgba(255, 255, 255, 0.5);
  border: 1px solid #E1E9FF;
  border-radius: 8px;
  padding: 11px 31px;
  margin-right: 12px;
  cursor: pointer;
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item:hover {
  background: #FBFDFF;
  border-color: #4282FF;
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item:hover .tag-name {
  color: #4282FF;
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item .tag-name {
  display: block;
  line-height: 17px;
  font-size: 14px;
  color: #333;
  text-align: center;
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item .tag-name.line1 {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.hotTag-cloud-card .tags-content .content-tr .content-box .tag-item .tag-name.line2 {
  line-height: 22px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.hotTag-cloud-card .tags-content .content-tr .content-box:nth-child(2) {
  animation: moveAnimate2 var(--t) linear infinite;
  animation-delay: calc(var(--t) / -2);
}
@keyframes moveAnimate1 {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}
@keyframes moveAnimate2 {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-200%);
  }
}
@keyframes moveAnimate3 {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}
@keyframes moveAnimate4 {
  0% {
    transform: translateX(-200%);
  }
  100% {
    transform: translateX(0);
  }
}
